# Upload shipping evidence This endpoint allows you to upload, through a valid token, evidence of sending the order. For a delivery by mail the fields 'shipping_company_name' and 'date_shipped' are required, while for a delivery to order the required fields are 'shipping_company_name', 'destination_agency', 'date_shipped' and 'receiver_name'. For delivery by email, the 'receiver_email' and 'date_shipped' fields are mandatory. **POST** `/post-purchase/v1/claims/{claim_id}/actions/evidences` ## Request parameters ### Path - `claim_id` (number, required) Claim ID. Unique identifier used to reference a specific claim in the system, essential for tracking and managing these claims. - `attachments` (string, optional) File attached to the message associated with the claim. - `type` (string, optional) The type of evidence of sending the request related to the claim. It can take one of the following values: Possible enum values: - `shipping_evidence` The seller has an evidence that the order was shipped. - `handling_shipping_evidence` There is still no evidence of sending the order, but this information is expected. - `date_shipped` (string, optional) The shipping date of the order associated with the claim. - `date_delivered` (string, optional) Delivery date of the order associated with the claim. - `destination_agency` (string, optional) Name of the agency to which the order is being sent. - `receiver_email` (string, optional) Email of the recipient of the order associated with the claim. - `receiver_id` (string, optional) Personal document number of the person who received the product. - `receiver_name` (string, optional) Name of the order recipient. - `shipping_company_name` (string, optional) Name of the company responsible for transporting the order. - `shipping_method` (string, optional) Refers to the method of shipping the product, which can be: order (by tracking), personal delivery (by person) or by email (e-mail). - `tracking_number` (string, optional) The order delivery tracking number. ## Response parameters This endpoint has no response body. ## Request example ### cURL ```bash curl -X POST \ 'https://api.mercadopago.com/post-purchase/v1/claims/{claim_id}/actions/evidences' \ -H 'Content-Type: application/json' \ -H 'Authorization: Bearer ' \ -d '{ "attachments": "38f4e399-0f18-41e4-8f48-91aecd2dee1a_419059118.png", "type": "shipping_evidence", "date_shipped": "2023-03-07T05:00:00Z", "date_delivered": "2023-03-15T05:00:00Z", "destination_agency": "Melicidade", "receiver_email": "test@testuser.com", "receiver_id": 156762, "receiver_name": "Tester", "shipping_company_name": "servientrega", "shipping_method": "mail", "tracking_number": 132456787 }' ``` ## Response example ```json [ { "attachments": [ { "filename": "8007ee20-be67-471f-9e59-e32d9ba02fae_239628932.jpeg", "original_filename": "Captura-de-Tela-2019-07-30.png", "size": 1880609, "date_created": "2020-07-22T20:43:15.000-04:00", "type": "image/jpeg", "file_url": "https://fury-storage-private-default.s3.amazonaws.com/mediations-api-core/attachment2/767b79a6-88c8-4fa4-8d95-2cb78fcd897f.jpeg?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=ASIA2W4YYFSFIIM7ONWJ%2F20201009%2Fus-east-1%2Fs3%2Faws4_request&X-Amz-Date=20201009T174026Z&X-Amz-Expires=43200&X-Amz-Security-Token=IQoJb3JpZ2luX2VjEA8aCXVzLWVhc3QtMSJHMEUCIBznL6LSjtxZx2rmNacevS3fkUtCntzn8hEERS3I9zGcAiEArLoRIu6slpEVHMaKK2%2B3LaXK5vJeEVlwmQ1en1xBlswqtAMIRxABGgw3MzYzNzAzNzE3MjIiDN38MnchbBVYZCS%2BfiqRA9sgC51NLCQ0stU6s2Dek7gt8JmSth7oYLHE8v1WhK3WaiBfe%2FV6LqnrqJcGIikCXr05GqQalWZQLITG1mwC%2Fkx6x5XL5jKFw67lXUvoZzmctRoQPpXpA6MJBTvdCZJKifAS2grLExBJ7KUrgGH6MCxiHpZwm5cO1VP9E5ETFcOTtVzgJtSU0TX70Z4%2BVZPwbxbuEnnqCuW61MZkMvT4dF6oVkZZBR8JuaaiM4w17FV%2B%2Bzt3l39EP9iZdv7NG6G6ZFjvL5UgkVfOm0Bn2w6JONEl8upiOqQN1voen8TugywgWm683isabg1LK2c5GNVWR4qEYbnpS2jZhd732IuDgl1De1V93O5WW2Xf0HGqXhIWYHf9ZDViwWrMXQc5VRQwDIukAgwIy5%2FiBUEwjNBavu4eiWcqtVIQ8OxH9CJIBrQMgPaB%2FtV9LZRGAH24ZwcBD%2FEu%2BEWEDPnR6giE24nAAkWAMlhPQI5NKGGy6y4SLxJ5KalD5yb4Twi0W%2Fvj7bUxfYBSebAn%2B4zldwvFPzWwJRxbMMTdgfwFOusBof6%2FydFCa12JdZERNpiC49pjSmal6DP7rl91JmwVKzG%2FIIENnlBIjZ1yvEtFWy2WcEDqnn2OfEeRc5vop%2FUHnRo3i1TEC8IHs7ECCwwWcf6UAB0%2FUXL8fGj6uQ7KuQ7DLphrZBMfpUz8JXRx1FVRKMWioszeYfL9dQ%2B24GDsESAN83y%2B19ZRdy727X7GsvnZQvdWo7zHQT4zXDmJB0RFtMHwHYtALsGHUyymyA%2FaQjfnbnccvesgGvLGpqdwmXZ0QFMmNobOlJA4STZY%2FejLulxq%2BNhmrvih83%2BSn5Q0043c2%2BzLYeSGs8jUJg%3D%3D&X-Amz-SignedHeaders=host&X-Amz-Signature=cb9a006b693e4b4e17948be0ccbb28739627daf0766f521cb98a2e5643ab9229" } ], "type": "shipping_evidence", "date_shipped": "2023-03-07T05:00:00Z", "date_delivered": "2023-03-15T05:00:00Z", "destination_agency": "Melicidade", "receiver_email": "test@testuser.com", "receiver_id": 156762, "receiver_name": "Teste", "shipping_company_name": "servientrega", "shipping_method": "mail", "tracking_number": 132456787 } ] ```